Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-01-2018 19:52:27

melissa6969
Membre
Lieu : Dans l'engrenage
Distrib. : SID
Noyau : la version de Sid ou Stable (selon les problèmes)
(G)UI : Cinnamon (la version de Sid)
Inscription : 30-11-2016

bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

holà à tous.

je sais pas où placer le sujet, du coup je laisse le soin aux modo de le déplacer le cas échéant.

pour ceux qui utilise Debian Sid avec la ""super"" technologie Optimus, il doit y avoir un bug avec le kernel 4.14.0-3 et le pilote Nvidia 384.111.
malgré une mise à jour en urgence (après l'ouverture de 2 bug reports hier) le pilote dysfonctionne toujours..

chez moi l'installation du pilote est compliquée (des erreurs au moment de la compilation avec dkms)
j'ai réussi tant bien que mal en purgeant tout le bazar, a réinstaller le pilote Nvidia sans anicroches, mais parfois (souvent) au boot ou reboot, j'ai un écran noir, plus moyen d'aller jusqu'à Lightdm.
la nvidia tourne en permanence, bbswitch et bumblebee n'ont pas l'air de faire le boulot.
ça fait deux jours que je subis le bug, je pensais que la version 384.111 allait résoudre le soucis, mais....

du coup retour au pilote nouveau en attendant une correction.

je vais ouvrir un bugreport, si d'autres sont dans ce cas, ça serait cool de déclarer également le bug wink

thanks wink

Dernière modification par melissa6969 (07-01-2018 21:30:36)


Intel i7 3630qm @3.4Ghz x8 - Ram 2x4Go - Nvidia GF108 3 Go dédiés - SSD Crucial 200mx 250 Go - hdd Toshiba 750 Go - Debian Sid Cinnamon - ArchLinux Cinnamon

Hors ligne

#2 07-01-2018 20:55:17

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

Bonjour
une solution provisoire c'est de revenir a buster (commenter la ligne sid) un update et un autoclean et d installer bumblebee de buster avec son driver.
si DKMS est pas content c'est un souci sur les : image ,headers , outils et noyau

le noyau que j'ai actuellement


Linux debian21 4.9.0-5-amd64 #1 SMP Debian 4.9.65-3+deb9u2 (2018-01-04) x86_64 GNU/Linux
 


le driver


OpenGL version string: 4.5.0 NVIDIA 384.98
 


il manque surement quelque chose dans sid , souvent un peu de patience évite les problèmes
tu a apt-listbugs , la simulation avec l option -s  et aptitude comme bon outils
celui de experimental ma donné des erreurs en simulation par exemple
je vais activer sid voir un peu (moi je suis en PC de bureau mais le driver est le meme )
il te faut impérativement ces 2 paquets installés  linux-image-am64  et linux-headers-amd64  pour éviter les soucis sur la compilation des modules du driver nonfree  nvidia
nota: si en plus tu utilise cuda   roll

la simulation sur sid


apt-get -s install linux-image-amd64 linux-headers-amd64
 


retour


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
The following additional packages will be installed:
  linux-headers-4.14.0-3-amd64 linux-headers-4.14.0-3-common linux-image-4.14.0-3-amd64
Paquets suggérés :
  linux-doc-4.14 debian-kernel-handbook
Les NOUVEAUX paquets suivants seront installés :
  linux-headers-4.14.0-3-amd64 linux-headers-4.14.0-3-common linux-image-4.14.0-3-amd64
Les paquets suivants seront mis à jour :
  linux-headers-amd64 linux-image-amd64
2 mis à jour, 3 nouvellement installés, 0 à enlever et 158 non mis à jour.
Inst linux-headers-4.14.0-3-common (4.14.12-2 Debian:unstable [all])
Inst linux-headers-4.14.0-3-amd64 (4.14.12-2 Debian:unstable [amd64])
Inst linux-headers-amd64 [4.14+88] (4.14+89 Debian:unstable [amd64])
Inst linux-image-4.14.0-3-amd64 (4.14.12-2 Debian:unstable [amd64])
Inst linux-image-amd64 [4.14+88] (4.14+89 Debian:unstable [amd64])
Conf linux-headers-4.14.0-3-common (4.14.12-2 Debian:unstable [all])
Conf linux-headers-4.14.0-3-amd64 (4.14.12-2 Debian:unstable [amd64])
Conf linux-headers-amd64 (4.14+89 Debian:unstable [amd64])
Conf linux-image-4.14.0-3-amd64 (4.14.12-2 Debian:unstable [amd64])
Conf linux-image-amd64 (4.14+89 Debian:unstable [amd64])
 


tous ces paquets sont dans la bonne version chez toi ? (4.14.12-2  et 4.14+89 )

pas d erreur sur le driver avec une simulation avec apt-get , aptitude est peut etre meilleur pour détecter un souci


apt-get -s install xserver-xorg-video-nvidia
 


retour


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libgles-nvidia1 libgles-nvidia1:i386 libgles1-glvnd-nvidia libgles1-glvnd-nvidia:i386
Veuillez utiliser « apt autoremove » pour les supprimer.
The following additional packages will be installed:
  libcuda1 libcuda1:i386 libegl-nvidia0 libegl-nvidia0:i386 libgl1-nvidia-glvnd-glx libgl1-nvidia-glvnd-glx:i386 libgles-nvidia1 libgles-nvidia1:i386 libgles-nvidia2
  libgles-nvidia2:i386 libgles1-glvnd-nvidia libgles1-glvnd-nvidia:i386 libglx-nvidia0 libglx-nvidia0:i386 libnvcuvid1 libnvidia-cfg1 libnvidia-cfg1:i386 libnvidia-compiler
  libnvidia-egl-wayland1 libnvidia-egl-wayland1:i386 libnvidia-eglcore libnvidia-eglcore:i386 libnvidia-fatbinaryloader libnvidia-fatbinaryloader:i386 libnvidia-glcore
  libnvidia-glcore:i386 libnvidia-ml1 libnvidia-ptxjitcompiler1 libnvidia-ptxjitcompiler1:i386 nvidia-alternative nvidia-driver nvidia-driver-bin nvidia-driver-libs
  nvidia-driver-libs:i386 nvidia-egl-icd nvidia-egl-icd:i386 nvidia-egl-wayland-icd nvidia-egl-wayland-icd:i386 nvidia-kernel-dkms nvidia-kernel-support nvidia-opencl-icd
  nvidia-smi nvidia-vdpau-driver nvidia-vulkan-icd nvidia-vulkan-icd:i386
Paquets suggérés :
  nvidia-cuda-mps:i386 vulkan-utils vulkan-utils:i386
Paquets recommandés :
  nvidia-smi:i386
Les paquets suivants seront mis à jour :
  libcuda1 libcuda1:i386 libegl-nvidia0 libegl-nvidia0:i386 libgl1-nvidia-glvnd-glx libgl1-nvidia-glvnd-glx:i386 libgles-nvidia1 libgles-nvidia1:i386 libgles-nvidia2
  libgles-nvidia2:i386 libgles1-glvnd-nvidia libgles1-glvnd-nvidia:i386 libglx-nvidia0 libglx-nvidia0:i386 libnvcuvid1 libnvidia-cfg1 libnvidia-cfg1:i386 libnvidia-compiler
  libnvidia-egl-wayland1 libnvidia-egl-wayland1:i386 libnvidia-eglcore libnvidia-eglcore:i386 libnvidia-fatbinaryloader libnvidia-fatbinaryloader:i386 libnvidia-glcore
  libnvidia-glcore:i386 libnvidia-ml1 libnvidia-ptxjitcompiler1 libnvidia-ptxjitcompiler1:i386 nvidia-alternative nvidia-driver nvidia-driver-bin nvidia-driver-libs
  nvidia-driver-libs:i386 nvidia-egl-icd nvidia-egl-icd:i386 nvidia-egl-wayland-icd nvidia-egl-wayland-icd:i386 nvidia-kernel-dkms nvidia-kernel-support nvidia-opencl-icd
  nvidia-smi nvidia-vdpau-driver nvidia-vulkan-icd nvidia-vulkan-icd:i386 xserver-xorg-video-nvidia
46 mis à jour, 0 nouvellement installés, 0 à enlever et 114 non mis à jour.
Inst libcuda1:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libcuda1:amd64 on libcuda1:i386] [libcuda1:i386 on libcuda1:amd64] [libcuda1:amd64 ]
Inst libcuda1 [384.98-3] (384.111-1 Debian:unstable [amd64]) [libnvcuvid1:amd64 nvidia-opencl-icd:amd64 ]
Inst nvidia-opencl-icd [384.98-3] (384.111-1 Debian:unstable [amd64]) [libnvcuvid1:amd64 ]
Inst libnvcuvid1 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-driver-bin [384.98-3] (384.111-1 Debian:unstable [amd64]) [nvidia-driver:amd64 ]
Inst nvidia-driver [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst xserver-xorg-video-nvidia [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-vdpau-driver [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-kernel-support [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libnvidia-cfg1:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libnvidia-cfg1:amd64 on libnvidia-cfg1:i386] [libnvidia-cfg1:i386 on libnvidia-cfg1:amd64] [libnvidia-cfg1:amd64 ]
Inst libnvidia-cfg1 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-vulkan-icd [384.98-3] (384.111-1 Debian:unstable [amd64]) [nvidia-vulkan-icd:amd64 on nvidia-vulkan-icd:i386] [nvidia-vulkan-icd:i386 on nvidia-vulkan-icd:amd64] [nvidia-vulkan-icd:i386 ]
Inst nvidia-vulkan-icd:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) []
Inst nvidia-driver-libs:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [nvidia-driver-libs:amd64 on nvidia-driver-libs:i386] [nvidia-driver-libs:i386 on nvidia-driver-libs:amd64] [nvidia-driver-libs:amd64 ]
Inst nvidia-driver-libs [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libgl1-nvidia-glvnd-glx [384.98-3] (384.111-1 Debian:unstable [amd64]) [libgl1-nvidia-glvnd-glx:amd64 on libgl1-nvidia-glvnd-glx:i386] [libgl1-nvidia-glvnd-glx:i386 on libgl1-nvidia-glvnd-glx:amd64] [libgl1-nvidia-glvnd-glx:i386 ]
Inst libgl1-nvidia-glvnd-glx:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) []
Inst libglx-nvidia0:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libglx-nvidia0:amd64 on libglx-nvidia0:i386] [libglx-nvidia0:i386 on libglx-nvidia0:amd64] [libglx-nvidia0:amd64 ]
Inst libglx-nvidia0 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libgles1-glvnd-nvidia:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libgles1-glvnd-nvidia:amd64 on libgles1-glvnd-nvidia:i386] [libgles1-glvnd-nvidia:i386 on libgles1-glvnd-nvidia:amd64] [libgles1-glvnd-nvidia:amd64 ]
Inst libgles1-glvnd-nvidia [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libgles-nvidia2:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libgles-nvidia2:amd64 on libgles-nvidia2:i386] [libgles-nvidia2:i386 on libgles-nvidia2:amd64] [libgles-nvidia2:amd64 ]
Inst libgles-nvidia2 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libgles-nvidia1:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libgles-nvidia1:amd64 on libgles-nvidia1:i386] [libgles-nvidia1:i386 on libgles-nvidia1:amd64] [libgles-nvidia1:amd64 ]
Inst libgles-nvidia1 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-egl-wayland-icd [384.98-3] (384.111-1 Debian:unstable [amd64]) [nvidia-egl-wayland-icd:amd64 on nvidia-egl-wayland-icd:i386] [nvidia-egl-wayland-icd:i386 on nvidia-egl-wayland-icd:amd64] [nvidia-egl-wayland-icd:i386 ]
Inst nvidia-egl-wayland-icd:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) []
Inst nvidia-egl-icd [384.98-3] (384.111-1 Debian:unstable [amd64]) [nvidia-egl-icd:amd64 on nvidia-egl-icd:i386] [nvidia-egl-icd:i386 on nvidia-egl-icd:amd64] [nvidia-egl-icd:i386 ]
Inst nvidia-egl-icd:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) []
Inst libegl-nvidia0:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libegl-nvidia0:amd64 on libegl-nvidia0:i386] [libegl-nvidia0:i386 on libegl-nvidia0:amd64] [libegl-nvidia0:amd64 ]
Inst libegl-nvidia0 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-alternative [384.98-3] (384.111-1 Debian:unstable [amd64]) [libnvidia-ml1:amd64 nvidia-smi:amd64 ]
Inst nvidia-smi [384.98-3] (384.111-1 Debian:unstable [amd64]) [libnvidia-ml1:amd64 ]
Inst libnvidia-ml1 [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libnvidia-glcore:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libnvidia-glcore:amd64 on libnvidia-glcore:i386] [libnvidia-glcore:i386 on libnvidia-glcore:amd64] [libnvidia-glcore:amd64 ]
Inst libnvidia-glcore [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libnvidia-egl-wayland1 [384.98-3] (384.111-1 Debian:unstable [amd64]) [libnvidia-egl-wayland1:amd64 on libnvidia-egl-wayland1:i386] [libnvidia-egl-wayland1:i386 on libnvidia-egl-wayland1:amd64] [libnvidia-egl-wayland1:i386 ]
Inst libnvidia-egl-wayland1:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) []
Inst libnvidia-eglcore:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libnvidia-eglcore:amd64 on libnvidia-eglcore:i386] [libnvidia-eglcore:i386 on libnvidia-eglcore:amd64] [libnvidia-eglcore:amd64 ]
Inst libnvidia-eglcore [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst nvidia-kernel-dkms [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libnvidia-compiler [384.98-3] (384.111-1 Debian:unstable [amd64]) []
Inst libnvidia-fatbinaryloader [384.98-3] (384.111-1 Debian:unstable [amd64]) [libnvidia-fatbinaryloader:amd64 on libnvidia-fatbinaryloader:i386] [libnvidia-fatbinaryloader:i386 on libnvidia-fatbinaryloader:amd64] [libnvidia-fatbinaryloader:i386 ]
Inst libnvidia-fatbinaryloader:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) []
Inst libnvidia-ptxjitcompiler1:i386 [384.98-3] (384.111-1 Debian:unstable [i386]) [libnvidia-ptxjitcompiler1:amd64 on libnvidia-ptxjitcompiler1:i386] [libnvidia-ptxjitcompiler1:i386 on libnvidia-ptxjitcompiler1:amd64] [libnvidia-ptxjitcompiler1:amd64 ]
Inst libnvidia-ptxjitcompiler1 [384.98-3] (384.111-1 Debian:unstable [amd64])
Conf libcuda1:i386 (384.111-1 Debian:unstable [i386])
Conf libcuda1 (384.111-1 Debian:unstable [amd64])
Conf nvidia-opencl-icd (384.111-1 Debian:unstable [amd64])
Conf libnvcuvid1 (384.111-1 Debian:unstable [amd64])
Conf nvidia-driver-bin (384.111-1 Debian:unstable [amd64])
Conf nvidia-driver (384.111-1 Debian:unstable [amd64])
Conf xserver-xorg-video-nvidia (384.111-1 Debian:unstable [amd64])
Conf nvidia-vdpau-driver (384.111-1 Debian:unstable [amd64])
Conf nvidia-kernel-support (384.111-1 Debian:unstable [amd64])
Conf libnvidia-cfg1:i386 (384.111-1 Debian:unstable [i386])
Conf libnvidia-cfg1 (384.111-1 Debian:unstable [amd64])
Conf nvidia-vulkan-icd (384.111-1 Debian:unstable [amd64])
Conf nvidia-vulkan-icd:i386 (384.111-1 Debian:unstable [i386])
Conf nvidia-driver-libs:i386 (384.111-1 Debian:unstable [i386])
Conf nvidia-driver-libs (384.111-1 Debian:unstable [amd64])
Conf libgl1-nvidia-glvnd-glx (384.111-1 Debian:unstable [amd64])
Conf libgl1-nvidia-glvnd-glx:i386 (384.111-1 Debian:unstable [i386])
Conf libglx-nvidia0:i386 (384.111-1 Debian:unstable [i386])
Conf libglx-nvidia0 (384.111-1 Debian:unstable [amd64])
Conf libgles1-glvnd-nvidia:i386 (384.111-1 Debian:unstable [i386])
Conf libgles1-glvnd-nvidia (384.111-1 Debian:unstable [amd64])
Conf libgles-nvidia2:i386 (384.111-1 Debian:unstable [i386])
Conf libgles-nvidia2 (384.111-1 Debian:unstable [amd64])
Conf libgles-nvidia1:i386 (384.111-1 Debian:unstable [i386])
Conf libgles-nvidia1 (384.111-1 Debian:unstable [amd64])
Conf nvidia-egl-wayland-icd (384.111-1 Debian:unstable [amd64])
Conf nvidia-egl-wayland-icd:i386 (384.111-1 Debian:unstable [i386])
Conf nvidia-egl-icd (384.111-1 Debian:unstable [amd64])
Conf nvidia-egl-icd:i386 (384.111-1 Debian:unstable [i386])
Conf libegl-nvidia0:i386 (384.111-1 Debian:unstable [i386])
Conf libegl-nvidia0 (384.111-1 Debian:unstable [amd64])
Conf nvidia-alternative (384.111-1 Debian:unstable [amd64])
Conf nvidia-smi (384.111-1 Debian:unstable [amd64])
Conf libnvidia-ml1 (384.111-1 Debian:unstable [amd64])
Conf libnvidia-glcore:i386 (384.111-1 Debian:unstable [i386])
Conf libnvidia-glcore (384.111-1 Debian:unstable [amd64])
Conf libnvidia-egl-wayland1 (384.111-1 Debian:unstable [amd64])
Conf libnvidia-egl-wayland1:i386 (384.111-1 Debian:unstable [i386])
Conf libnvidia-eglcore:i386 (384.111-1 Debian:unstable [i386])
Conf libnvidia-eglcore (384.111-1 Debian:unstable [amd64])
Conf nvidia-kernel-dkms (384.111-1 Debian:unstable [amd64])
Conf libnvidia-compiler (384.111-1 Debian:unstable [amd64])
Conf libnvidia-fatbinaryloader (384.111-1 Debian:unstable [amd64])
Conf libnvidia-fatbinaryloader:i386 (384.111-1 Debian:unstable [i386])
Conf libnvidia-ptxjitcompiler1:i386 (384.111-1 Debian:unstable [i386])
Conf libnvidia-ptxjitcompiler1 (384.111-1 Debian:unstable [amd64])
 



bumblebee est en version 3.2.1-17  (buster) mais si DKMS donne une erreur je doute que ce soit lui qui pose problème

faire par étape , installer le noyau de sid (pas d'erreur dans la console ), normalement tout doit etre correct , ensuite le driver avec bumblebee-nvidia (idem pas d erreur , surtout le passage ou DKMS fait le building des modules )
tant que tu ne reboot pas le PC , la modification n'est pas prise en compte , tu peu annuler et revenir a nouveau avec bumblebee

c'est le souci avec le driver nonfree hmm  roll

Dernière modification par robert2a (07-01-2018 21:19:20)

Hors ligne

#3 07-01-2018 21:15:31

melissa6969
Membre
Lieu : Dans l'engrenage
Distrib. : SID
Noyau : la version de Sid ou Stable (selon les problèmes)
(G)UI : Cinnamon (la version de Sid)
Inscription : 30-11-2016

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

salut Robert2a

j'ai testé aussi le pilote experimental, mais il porte bien son nom, j'ai eu des problèmes avec en simulant l'installation.

alors oui j'ai bien les headers d'installés depuis le début, et c'est la même version que toi.

si je fais une simulation pour installer le pilote, ça me sort ceci, donc tout a l'air normal, mais en pratique c'est pas la même chanson...

sudo apt -s install nvidia-kernel-dkms nvidia-xconfig nvidia-settings nvidia-vdpau-driver vdpau-va-driver mesa-utils bumblebee-nvidia primus xserver-xorg-video-nvidia linux-headers-$(uname -r) bumblebee bbswitch-dkms
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
linux-headers-4.14.0-3-amd64 is already the newest version (4.14.12-2).
mesa-utils is already the newest version (8.3.0-5).
vdpau-va-driver is already the newest version (0.7.4-7).
The following additional packages will be installed:
  dkms glx-alternative-mesa glx-alternative-nvidia glx-diversions libelf-dev libnvidia-glcore libxnvctrl0 nvidia-alternative
  nvidia-installer-cleanup nvidia-kernel-common nvidia-kernel-support nvidia-legacy-check nvidia-modprobe nvidia-support primus-libs socat
  update-glx zlib1g-dev
Paquets suggérés :
  python3-apport nvidia-driver
Paquets recommandés :
  fakeroot nvidia-driver | libcuda1 libgl1-nvidia-glvnd-glx | libgl1-nvidia-glx libnvidia-ml1 libgl1-nvidia-glx-any primus-libs-ia32
  nvidia-driver
Les NOUVEAUX paquets suivants seront installés :
  bbswitch-dkms bumblebee bumblebee-nvidia dkms glx-alternative-mesa glx-alternative-nvidia glx-diversions libelf-dev libnvidia-glcore
  libxnvctrl0 nvidia-alternative nvidia-installer-cleanup nvidia-kernel-common nvidia-kernel-dkms nvidia-kernel-support nvidia-legacy-check
  nvidia-modprobe nvidia-settings nvidia-support nvidia-vdpau-driver nvidia-xconfig primus primus-libs socat update-glx
  xserver-xorg-video-nvidia zlib1g-dev
0 mis à jour, 27 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst dkms (2.3-3 Debian:unstable [all])
Inst bbswitch-dkms (0.8-5 Debian:unstable [amd64])
Inst bumblebee (3.2.1-17 Debian:unstable [amd64])
Inst update-glx (0.8.1 Debian:unstable [amd64])
Inst glx-alternative-mesa (0.8.1 Debian:unstable [amd64])
Inst nvidia-installer-cleanup (20151021+7 Debian:unstable [amd64])
Conf nvidia-installer-cleanup (20151021+7 Debian:unstable [amd64])
Inst glx-diversions (0.8.1 Debian:unstable [amd64])
Inst glx-alternative-nvidia (0.8.1 Debian:unstable [amd64])
Inst nvidia-legacy-check (384.111-1 Debian:unstable [amd64])
Conf nvidia-legacy-check (384.111-1 Debian:unstable [amd64])
Inst nvidia-alternative (384.111-1 Debian:unstable [amd64])
Inst zlib1g-dev (1:1.2.8.dfsg-5 Debian:unstable [amd64])
Inst libelf-dev (0.170-0.2 Debian:unstable [amd64])
Inst nvidia-kernel-common (20151021+7 Debian:unstable [amd64])
Inst nvidia-modprobe (384.98-1 Debian:unstable [amd64])
Inst nvidia-kernel-support (384.111-1 Debian:unstable [amd64])
Inst nvidia-kernel-dkms (384.111-1 Debian:unstable [amd64])
Inst libxnvctrl0 (384.98-1 Debian:unstable [amd64])
Inst nvidia-settings (384.98-1 Debian:unstable [amd64])
Inst nvidia-vdpau-driver (384.111-1 Debian:unstable [amd64])
Inst nvidia-xconfig (384.98-1 Debian:unstable [amd64])
Inst libnvidia-glcore (384.111-1 Debian:unstable [amd64])
Inst nvidia-support (20151021+7 Debian:unstable [amd64])
Inst xserver-xorg-video-nvidia (384.111-1 Debian:unstable [amd64])
Inst bumblebee-nvidia (3.2.1-17 Debian:unstable [amd64])
Inst socat (1.7.3.2-2 Debian:unstable [amd64])
Inst primus-libs (0~20150328-5 Debian:unstable [amd64])
Inst primus (0~20150328-5 Debian:unstable [amd64])
Conf dkms (2.3-3 Debian:unstable [all])
Conf bbswitch-dkms (0.8-5 Debian:unstable [amd64])
Conf bumblebee (3.2.1-17 Debian:unstable [amd64])
Conf update-glx (0.8.1 Debian:unstable [amd64])
Conf glx-alternative-mesa (0.8.1 Debian:unstable [amd64])
Conf glx-diversions (0.8.1 Debian:unstable [amd64])
Conf glx-alternative-nvidia (0.8.1 Debian:unstable [amd64])
Conf nvidia-alternative (384.111-1 Debian:unstable [amd64])
Conf zlib1g-dev (1:1.2.8.dfsg-5 Debian:unstable [amd64])
Conf libelf-dev (0.170-0.2 Debian:unstable [amd64])
Conf nvidia-kernel-common (20151021+7 Debian:unstable [amd64])
Conf nvidia-modprobe (384.98-1 Debian:unstable [amd64])
Conf nvidia-kernel-support (384.111-1 Debian:unstable [amd64])
Conf nvidia-kernel-dkms (384.111-1 Debian:unstable [amd64])
Conf libxnvctrl0 (384.98-1 Debian:unstable [amd64])
Conf nvidia-settings (384.98-1 Debian:unstable [amd64])
Conf nvidia-vdpau-driver (384.111-1 Debian:unstable [amd64])
Conf nvidia-xconfig (384.98-1 Debian:unstable [amd64])
Conf libnvidia-glcore (384.111-1 Debian:unstable [amd64])
Conf nvidia-support (20151021+7 Debian:unstable [amd64])
Conf xserver-xorg-video-nvidia (384.111-1 Debian:unstable [amd64])
Conf bumblebee-nvidia (3.2.1-17 Debian:unstable [amd64])
Conf socat (1.7.3.2-2 Debian:unstable [amd64])
Conf primus-libs (0~20150328-5 Debian:unstable [amd64])
Conf primus (0~20150328-5 Debian:unstable [amd64])
debiansid@debiansid ~



tu penses que le paquet nvidia-driver est essentiel.??
j'ai essayé avec, sans, mais c'est toujours pareil...
et pour installer le pilote, je me sers tout le temps de l'excellent tuto
https://debian-facile.org/doc:materiel: … ia:optimus
d'habitude tout va bien, mais là ça veut vraiment pas...


Intel i7 3630qm @3.4Ghz x8 - Ram 2x4Go - Nvidia GF108 3 Go dédiés - SSD Crucial 200mx 250 Go - hdd Toshiba 750 Go - Debian Sid Cinnamon - ArchLinux Cinnamon

Hors ligne

#4 07-01-2018 21:28:21

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

nvidia-driver est un meta-paquet , il est utile , mais tu a vu que moi avec seulement xserver-xorg-video-nvidia je met tout a jour wink
le souci c'est que je connais pas bumblebee , si je travaillais un peu sur les portables ça changerai tout

sur  mon threadripper j'ai un disque (de test) avec gnome et une gtx1070 je peu déja tenter la mise a jour voir si correct sans bumblebee

Hors ligne

#5 07-01-2018 21:35:26

melissa6969
Membre
Lieu : Dans l'engrenage
Distrib. : SID
Noyau : la version de Sid ou Stable (selon les problèmes)
(G)UI : Cinnamon (la version de Sid)
Inscription : 30-11-2016

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

oui je me demande si c'est pas un problème avec bumblebee ou bbswitch, mais je suis pas la seule à utiliser Sid avec la technologie optimus quand même lol
je retente une nouvelle fois pour voir.

pourtant ce matin, en installant j'ai pas eu d'erreur pendant le building des modules, c'est ça qui m'étonne et m'échappe un peu..
je vais refaire en suivant le tuto mais bon je pense pas que ça va fonctionner, ou alors ça serait encore + bizarre.!!!
si j'avais un pc fixe avec une nvidia, je pourrais faire des tests également, mais j'ai qu'un vieil ordinosaure 100% Amd...

Intel i7 3630qm @3.4Ghz x8 - Ram 2x4Go - Nvidia GF108 3 Go dédiés - SSD Crucial 200mx 250 Go - hdd Toshiba 750 Go - Debian Sid Cinnamon - ArchLinux Cinnamon

Hors ligne

#6 07-01-2018 21:48:18

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

j'ai 358 paquets a mettre a jour sur ma sid du disque de test , je vai te dire si le driver pose problème

je dois avoir un noyau de kernel.org


Linux amdtr4 4.14.4-amd64 #1 SMP Fri Dec 8 22:45:36 CET 2017 x86_64 GNU/Linux
 



j'ai le driver et cuda installé et la possibilité de tester tout ça
la mise a jour va prendre du temps tongue

erreur donné par apt-listbugs


Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité serious sur network-manager-gnome (1.8.6-1 → 1.8.10-1) <Transférés>
 b1 - #885525 - /usr/bin/nm-applet: nm-applet crashes when connecting to VPN
   Fusionné avec : 886152
Résumé :
 network-manager-gnome(1 bogue)
Êtes-vous certain(e) de vouloir installer/mettre à jour les paquets ci-dessus ? [Y/n/?/...]


Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité grave sur linux-headers-4.14.0-3-amd64 (→ 4.14.12-2) <En attente de traitement>
 b1 - #886474 - linux-headers-4.14.0-3-amd64: missing dependency on libelf-dev
   Fusionné avec : 886510
Résumé :
 linux-headers-4.14.0-3-amd64(1 bogue)
Êtes-vous certain(e) de vouloir installer/mettre à jour les paquets ci-dessus ? [Y/n/?/...]
 



j' annule la mise a jour du noyau , et je vais tenter celle du driver nvidia (il me reste que ces deux la , sinon c'est a jour pour les autres paquet y compris mesa dans sid )

a priori le driver est bon


Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
(Lecture de la base de données... 220154 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-nvidia-opencl-icd_384.111-1_amd64.deb ...
Dépaquetage de nvidia-opencl-icd:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../01-libnvcuvid1_384.111-1_amd64.deb ...
Dépaquetage de libnvcuvid1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../02-libcuda1_384.111-1_amd64.deb ...
Dépaquetage de libcuda1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../03-nvidia-driver-bin_384.111-1_amd64.deb ...
Dépaquetage de nvidia-driver-bin (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../04-nvidia-driver_384.111-1_amd64.deb ...
Dépaquetage de nvidia-driver (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../05-xserver-xorg-video-nvidia_384.111-1_amd64.deb ...
Dépaquetage de xserver-xorg-video-nvidia (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../06-nvidia-vdpau-driver_384.111-1_amd64.deb ...
Dépaquetage de nvidia-vdpau-driver:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../07-nvidia-kernel-support_384.111-1_amd64.deb ...
Dépaquetage de nvidia-kernel-support (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../08-nvidia-smi_384.111-1_amd64.deb ...
Dépaquetage de nvidia-smi (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../09-libnvidia-ml1_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-ml1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../10-libnvidia-cfg1_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-cfg1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../11-nvidia-driver-libs_384.111-1_amd64.deb ...
Dépaquetage de nvidia-driver-libs:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../12-libgl1-nvidia-glvnd-glx_384.111-1_amd64.deb ...
Dépaquetage de libgl1-nvidia-glvnd-glx:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../13-nvidia-vulkan-icd_384.111-1_amd64.deb ...
Dépaquetage de nvidia-vulkan-icd:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../14-libglx-nvidia0_384.111-1_amd64.deb ...
Dépaquetage de libglx-nvidia0:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../15-libgles1-glvnd-nvidia_384.111-1_amd64.deb ...
Dépaquetage de libgles1-glvnd-nvidia:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../16-libgles-nvidia2_384.111-1_amd64.deb ...
Dépaquetage de libgles-nvidia2:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../17-libgles-nvidia1_384.111-1_amd64.deb ...
Dépaquetage de libgles-nvidia1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../18-nvidia-egl-wayland-icd_384.111-1_amd64.deb ...
Dépaquetage de nvidia-egl-wayland-icd:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../19-nvidia-egl-icd_384.111-1_amd64.deb ...
Dépaquetage de nvidia-egl-icd:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../20-libegl-nvidia0_384.111-1_amd64.deb ...
Dépaquetage de libegl-nvidia0:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../21-nvidia-alternative_384.111-1_amd64.deb ...
Dépaquetage de nvidia-alternative (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../22-nvidia-vulkan-common_384.111-1_amd64.deb ...
Dépaquetage de nvidia-vulkan-common (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../23-libnvidia-glcore_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-glcore:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../24-nvidia-egl-common_384.111-1_amd64.deb ...
Dépaquetage de nvidia-egl-common (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../25-nvidia-egl-wayland-common_384.111-1_amd64.deb ...
Dépaquetage de nvidia-egl-wayland-common (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../26-libnvidia-egl-wayland1_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-egl-wayland1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../27-libnvidia-eglcore_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-eglcore:amd64 (384.111-1) sur (384.98-3) ...
Sélection du paquet zlib1g-dev:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../28-zlib1g-dev_1%3a1.2.8.dfsg-5_amd64.deb ...
Dépaquetage de zlib1g-dev:amd64 (1:1.2.8.dfsg-5) ...
Sélection du paquet libelf-dev:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../29-libelf-dev_0.170-0.2_amd64.deb ...
Dépaquetage de libelf-dev:amd64 (0.170-0.2) ...
Préparation du dépaquetage de .../30-nvidia-kernel-dkms_384.111-1_amd64.deb ...

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 384.98
Kernel:  4.14.0-1-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-modeset.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-drm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-uvm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.0-1-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 384.98
Kernel:  4.14.4-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-modeset.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-drm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-uvm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.14.4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

------------------------------
Deleting module version: 384.98
completely from the DKMS tree.
------------------------------
Done.
Dépaquetage de nvidia-kernel-dkms (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../31-nvidia-opencl-common_384.111-1_amd64.deb ...
Dépaquetage de nvidia-opencl-common (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../32-nvidia-libopencl1_384.111-1_amd64.deb ...
Dépaquetage de nvidia-libopencl1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../33-libnvidia-compiler_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-compiler:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../34-libnvidia-fatbinaryloader_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-fatbinaryloader:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../35-libnvidia-ptxjitcompiler1_384.111-1_amd64.deb ...
Dépaquetage de libnvidia-ptxjitcompiler1:amd64 (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../36-nvidia-legacy-check_384.111-1_amd64.deb ...
Dépaquetage de nvidia-legacy-check (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../37-nvidia-cuda-mps_384.111-1_amd64.deb ...
Dépaquetage de nvidia-cuda-mps (384.111-1) sur (384.98-3) ...
Préparation du dépaquetage de .../38-nvidia-detect_384.111-1_amd64.deb ...
Dépaquetage de nvidia-detect (384.111-1) sur (384.98-3) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Paramétrage de libnvidia-eglcore:amd64 (384.111-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-2) ...
Paramétrage de libnvidia-glcore:amd64 (384.111-1) ...
Paramétrage de nvidia-egl-wayland-common (384.111-1) ...
Paramétrage de libnvidia-egl-wayland1:amd64 (384.111-1) ...
Paramétrage de nvidia-cuda-mps (384.111-1) ...
Paramétrage de nvidia-opencl-common (384.111-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.26-2) ...
Paramétrage de libnvidia-ptxjitcompiler1:amd64 (384.111-1) ...
Paramétrage de nvidia-egl-common (384.111-1) ...
Paramétrage de nvidia-libopencl1:amd64 (384.111-1) ...
Paramétrage de nvidia-vulkan-common (384.111-1) ...
Paramétrage de nvidia-legacy-check (384.111-1) ...
Paramétrage de nvidia-detect (384.111-1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-4) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-11) ...
Paramétrage de libnvidia-fatbinaryloader:amd64 (384.111-1) ...
Paramétrage de libnvidia-compiler:amd64 (384.111-1) ...
Paramétrage de zlib1g-dev:amd64 (1:1.2.8.dfsg-5) ...
Paramétrage de nvidia-alternative (384.111-1) ...
Paramétrage de libelf-dev:amd64 (0.170-0.2) ...
Traitement des actions différées (« triggers ») pour nvidia-alternative (384.111-1) ...
update-alternatives: avertissement: forçage de la réinstallation de l'alternative /usr/lib/nvidia/current car le groupe de liens nvidia est cassé
Paramétrage de nvidia-vdpau-driver:amd64 (384.111-1) ...
Paramétrage de libegl-nvidia0:amd64 (384.111-1) ...
Paramétrage de libgles-nvidia2:amd64 (384.111-1) ...
Paramétrage de libnvidia-cfg1:amd64 (384.111-1) ...
Paramétrage de libgles1-glvnd-nvidia:amd64 (384.111-1) ...
Paramétrage de libnvidia-ml1:amd64 (384.111-1) ...
Paramétrage de libgles-nvidia1:amd64 (384.111-1) ...
Paramétrage de libcuda1:amd64 (384.111-1) ...
Paramétrage de libnvcuvid1:amd64 (384.111-1) ...
Paramétrage de xserver-xorg-video-nvidia (384.111-1) ...
Paramétrage de nvidia-driver-bin (384.111-1) ...
Paramétrage de nvidia-egl-wayland-icd:amd64 (384.111-1) ...
Paramétrage de nvidia-opencl-icd:amd64 (384.111-1) ...
Paramétrage de libglx-nvidia0:amd64 (384.111-1) ...
Paramétrage de nvidia-vulkan-icd:amd64 (384.111-1) ...
Paramétrage de nvidia-egl-icd:amd64 (384.111-1) ...
Paramétrage de nvidia-kernel-support (384.111-1) ...
Paramétrage de nvidia-smi (384.111-1) ...
Paramétrage de nvidia-kernel-dkms (384.111-1) ...
Loading new nvidia-current-384.111 DKMS files...
Building for 4.14.4-amd64
Building initial module for 4.14.4-amd64
Done.

nvidia-current:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.14.4-amd64/updates/dkms/

nvidia-current-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.14.4-amd64/updates/dkms/

nvidia-current-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.14.4-amd64/updates/dkms/

nvidia-current-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.14.4-amd64/updates/dkms/

depmod...

DKMS: install completed.
Paramétrage de libgl1-nvidia-glvnd-glx:amd64 (384.111-1) ...
Paramétrage de nvidia-driver-libs:amd64 (384.111-1) ...
Paramétrage de nvidia-driver (384.111-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.26-2) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (0.8.1) ...
Traitement des actions différées (« triggers ») pour update-glx (0.8.1) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (0.8.1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.26-2) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.14.4-amd64

 



c'est correct


depmod...

DKMS: install completed.
 

Dernière modification par robert2a (07-01-2018 22:26:44)

Hors ligne

#7 07-01-2018 22:28:03

melissa6969
Membre
Lieu : Dans l'engrenage
Distrib. : SID
Noyau : la version de Sid ou Stable (selon les problèmes)
(G)UI : Cinnamon (la version de Sid)
Inscription : 30-11-2016

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

c'est bon robert pas de besoin de faire des tests, ne perds pas ton temps pour moi big_smile
je viens enfin de réussir de sortir de ce pétrin. alléluia big_smile big_smile big_smile

en faite la semaine dernière j'ai voulu (par curiosité) réinstaller ma Sid mais en faisant une install minimale en suivant ce tuto
https://debian-facile.org/doc:install:install_minimale
et j'ai crée ce fichier
https://debian-facile.org/doc:systeme:apt:apt.conf
tu sais pour éviter d'etre surcharger de dépendances et de paquets inutiles..

du coup en installant le pilote nvidia, je sélectionnais pas tous les paquets recommandés, parce que (par manque d'expérience) je pensais pas qu'ils étaient importants.
là je viens de faire une énième tentative et c'est la bonne cette fois, j'ai pris tous les paquets recommandés, et c'est nickel ça fonctionne, trop contente wink

pour preuve, lorsque le chipset Intel tourne
573110201801072122021600x900scrot.png

et quand c'est moi qui décide d'activer la Nvidia
944224Capturedu20180107212110.png

du coup c'est pas un bug, c'est juste une belle anerie de débutante de ma part, qui a dit que les blondes ont été nouilles parfois lol lol
je me sens idiote en vrai, mais bon la honte n'a jamais tué personne scratchhead.gif scratchhead.gif scratchhead.gif scratchhead.gif

EDIT ;
nos messages se sont croisés, du coup je t'ai fais faire des manip pour rien, désolé hmm

Dernière modification par melissa6969 (07-01-2018 22:30:07)


Intel i7 3630qm @3.4Ghz x8 - Ram 2x4Go - Nvidia GF108 3 Go dédiés - SSD Crucial 200mx 250 Go - hdd Toshiba 750 Go - Debian Sid Cinnamon - ArchLinux Cinnamon

Hors ligne

#8 07-01-2018 22:36:05

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

non c'est pas grave  smile


glxinfo -B
 


retour


name of display: :1
display: :1  screen: 0
direct rendering: Yes
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 1070/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 384.111
OpenGL core profile shading language version string: 4.50 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.5.0 NVIDIA 384.111
OpenGL shading language version string: 4.50 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 384.111
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 



voila comment je procède , donc maintenant je met le noyau de Buster , tant que celui de sid est signalé par apt-listbugs

mais d'après ce que tu dis ça fonctionne quand meme   tongue

les manips jamais pour rien , peu servir a quelqu un  wink

mise a jour du noyau et purge des paquets plus utilisés (je fais tout avec synaptic sauf si ça coince )


Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
(Lecture de la base de données... 220195 fichiers et répertoires déjà installés.)
Suppression de libgles-nvidia1:amd64 (384.111-1) ...
Suppression de libgles1-glvnd-nvidia:amd64 (384.111-1) ...
Suppression de libsodium18:amd64 (1.0.14-1) ...
Suppression de libsuitesparseconfig4:amd64 (1:4.5.6-1) ...
Suppression de libtesseract3 (3.04.01-6) ...
Suppression de libtesseract-data (3.04.01-6) ...
(Lecture de la base de données... 220121 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../0-linux-compiler-gcc-7-x86_4.14.7-1_amd64.deb ...
Dépaquetage de linux-compiler-gcc-7-x86 (4.14.7-1) sur (4.14.2-1) ...
Sélection du paquet linux-headers-4.14.0-2-common précédemment désélectionné.
Préparation du dépaquetage de .../1-linux-headers-4.14.0-2-common_4.14.7-1_all.deb ...
Dépaquetage de linux-headers-4.14.0-2-common (4.14.7-1) ...
Préparation du dépaquetage de .../2-linux-kbuild-4.14_4.14.7-1_amd64.deb ...
Dépaquetage de linux-kbuild-4.14 (4.14.7-1) sur (4.14.2-1) ...
Sélection du paquet linux-headers-4.14.0-2-amd64 précédemment désélectionné.
Préparation du dépaquetage de .../3-linux-headers-4.14.0-2-amd64_4.14.7-1_amd64.deb ...
Dépaquetage de linux-headers-4.14.0-2-amd64 (4.14.7-1) ...
Préparation du dépaquetage de .../4-linux-headers-amd64_4.14+88_amd64.deb ...
Dépaquetage de linux-headers-amd64 (4.14+88) sur (4.14+87) ...
Sélection du paquet linux-image-4.14.0-2-amd64 précédemment désélectionné.
Préparation du dépaquetage de .../5-linux-image-4.14.0-2-amd64_4.14.7-1_amd64.deb ...
Dépaquetage de linux-image-4.14.0-2-amd64 (4.14.7-1) ...
Préparation du dépaquetage de .../6-linux-image-amd64_4.14+88_amd64.deb ...
Dépaquetage de linux-image-amd64 (4.14+88) sur (4.14+87) ...
Préparation du dépaquetage de .../7-linux-libc-dev_4.14.7-1_amd64.deb ...
Dépaquetage de linux-libc-dev:amd64 (4.14.7-1) sur (4.14.2-1) ...
Traitement des actions différées (« triggers ») pour nvidia-alternative (384.111-1) ...
update-alternatives: avertissement: forçage de la réinstallation de l'alternative /usr/lib/nvidia/current car le groupe de liens nvidia est cassé
Paramétrage de linux-kbuild-4.14 (4.14.7-1) ...
Paramétrage de linux-libc-dev:amd64 (4.14.7-1) ...
Paramétrage de linux-image-4.14.0-2-amd64 (4.14.7-1) ...
I: /vmlinuz is now a symlink to boot/vmlinuz-4.14.0-2-amd64
I: /initrd.img is now a symlink to boot/initrd.img-4.14.0-2-amd64
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.14.0-2-amd64
/etc/kernel/postinst.d/zz-update-grub:
Création du fichier de configuration GRUB…
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Image Linux trouvée : /boot/vmlinuz-4.14.4-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.14.4-amd64
Image Linux trouvée : /boot/vmlinuz-4.14.0-2-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.14.0-2-amd64
Image Linux trouvée : /boot/vmlinuz-4.14.0-1-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.14.0-1-amd64
Debian GNU/Linux 9 (stretch) trouvé sur /dev/sda1
Debian GNU/Linux buster/sid trouvé sur /dev/sdc2
Adding boot menu entry for EFI firmware configuration
fait
Paramétrage de linux-image-amd64 (4.14+88) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.26-2) ...
Paramétrage de linux-headers-4.14.0-2-common (4.14.7-1) ...
Paramétrage de linux-compiler-gcc-7-x86 (4.14.7-1) ...
Paramétrage de linux-headers-4.14.0-2-amd64 (4.14.7-1) ...
Paramétrage de linux-headers-amd64 (4.14+88) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (0.8.1) ...
Traitement des actions différées (« triggers ») pour update-glx (0.8.1) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (0.8.1) ...
update-alternatives: avertissement: forçage de la réinstallation de l'alternative /usr/lib/nvidia car le groupe de liens glx est cassé
Traitement des actions différées (« triggers ») pour libc-bin (2.26-2) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.14.4-amd64
 

Dernière modification par robert2a (07-01-2018 22:43:57)

Hors ligne

#9 07-01-2018 22:47:21

melissa6969
Membre
Lieu : Dans l'engrenage
Distrib. : SID
Noyau : la version de Sid ou Stable (selon les problèmes)
(G)UI : Cinnamon (la version de Sid)
Inscription : 30-11-2016

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

ha tiens je la connaissais pas cette manip smile
du coup chez moi c'est pareil que toi

optirun  glxinfo -B


name of display: :0
display: :0  screen: 0
direct rendering: Yes
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 630M/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 384.111
OpenGL core profile shading language version string: 4.50 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.5.0 NVIDIA 384.111
OpenGL shading language version string: 4.50 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)


le bug du kernel a du etre déclaré pendant la nuit, je l'ai mis à jour en fin d'aprèm, et y avait pas de bugs, y a juste le paquet debhelper qui avait un bug, qui d'ailleurs a été mis à jour dans l'aprèm j'ai vu.

c'est vrai que ça peut servir, avec une installation minimale, ca fait prendre de nouveaux réflexes, à l'avenir faudra que je sois + vigilente en installant un nouveau paquet, de bien regarder les paquets recommandés, si il y en a des importants, la nvidia ça m'a fait suer, mais j'ai enfin réussi, reste à voir lors d'une prochaine mise à jour, si c'est autant le bordel, ou si ça va bien se passer ^^


Intel i7 3630qm @3.4Ghz x8 - Ram 2x4Go - Nvidia GF108 3 Go dédiés - SSD Crucial 200mx 250 Go - hdd Toshiba 750 Go - Debian Sid Cinnamon - ArchLinux Cinnamon

Hors ligne

#10 07-01-2018 23:05:55

robert2a
Membre
Lieu : France
Distrib. : Stretch 9 , Buster 10 , Sid
Noyau : Linux 4.9 / 4.16.12 / 4.18-rc1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

j'ai mon noyau de buster


Linux amdtr4 4.14.0-2-amd64 #1 SMP Debian 4.14.7-1 (2017-12-22) x86_64 GNU/Linux
 



quand j'ai enlevé le noyau de kernel.org , mes liens ont été recréé (important aussi )


update-alternatives: avertissement: forçage de la réinstallation de l'alternative /usr/lib/nvidia car le groupe de liens glx est cassé
 


suffit juste de lire les logs , bon a moi aussi parfois il m' arrive de faire des bétises  ..............

tout est propre je n'ai plus que le 4.17.0-2 de debian buster (4.14.7-1)

Hors ligne

#11 07-01-2018 23:17:19

melissa6969
Membre
Lieu : Dans l'engrenage
Distrib. : SID
Noyau : la version de Sid ou Stable (selon les problèmes)
(G)UI : Cinnamon (la version de Sid)
Inscription : 30-11-2016

Re : bug pilote nvidia avec kernel 4.14.0-3 sur SID.??

les update-alternatives j'y surveille tout le temps, parfois la réponse est dedans, il faut bien regarder, c'est comme quand on met à jour sur Sid, bien lire ce que propose apt ou aptitude.
si on nous enlève 500 paquets, forcément y a quelque chose d'anormal tongue

et sous Buster ils auront pas encore le kernel de Sid, tant que le bug sera pas corrigé.
dire que j'ai jamais essayé Testing, j'ai fais directement Stable > Sid lol

Intel i7 3630qm @3.4Ghz x8 - Ram 2x4Go - Nvidia GF108 3 Go dédiés - SSD Crucial 200mx 250 Go - hdd Toshiba 750 Go - Debian Sid Cinnamon - ArchLinux Cinnamon

Hors ligne

Pied de page des forums